libwps_OLE::IStream Class Reference documentation

Public Member Functions | Public Attributes | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
libwps_OLE::IStream Class Reference

## Public Member Functions
| IStream (IStorage *io, std::string const &name)
| ~IStream ()
unsigned long | size () const
unsigned long | tell () const
unsigned long | read (unsigned char *data, unsigned long maxlen)

## Public Attributes
IStorage * | m_iStorage
unsigned long | m_size
| the stream size More...
std::string | m_name

## Protected Member Functions
bool | createOleFromDirectory (IStorage *io, std::string const &name)
| create the data corresponding to a directory More...
unsigned long | readUsingStorage (unsigned long pos, unsigned char *data, unsigned long maxlen)
| try to read maxlen data using m_iStorage More...
unsigned long | readData (unsigned long pos, unsigned char *data, unsigned long maxlen)
| try to read maxlen data using m_data More...

## Private Member Functions
| IStream (const IStream &)
IStream & | operator= (const IStream &)

## Private Attributes
std::vector< unsigned long > | m_blocks
unsigned long | m_pos
std::vector< unsigned char > | m_data

## Constructor & Destructor Documentation

## ◆ IStream() [1/2]

libwps_OLE::IStream::IStream | ( | libwps_OLE::IStorage * | s,
|  | std::string const & | name
| ) |  |

## ◆ ~IStream()

libwps_OLE::IStream::~IStream | ( |  | ) |
| inline

## ◆ IStream() [2/2]

libwps_OLE::IStream::IStream | ( | const IStream & |  | ) |
| private

## Member Function Documentation

## ◆ createOleFromDirectory()

bool libwps_OLE::IStream::createOleFromDirectory | ( | IStorage * | io,
|  | std::string const & | name
| ) |  |
| protected

create the data corresponding to a directory

Referenced by IStream().

## ◆ operator=()

IStream& libwps_OLE::IStream::operator= | ( | const IStream & |  | ) |
| private

## ◆ read()

unsigned long libwps_OLE::IStream::read | ( | unsigned char * | data,
|  | unsigned long | maxlen
| ) |  |
| inline

Referenced by createOleFromDirectory().

## ◆ readData()

unsigned long libwps_OLE::IStream::readData | ( | unsigned long | pos,
|  | unsigned char * | data,
|  | unsigned long | maxlen
| ) |  |
| protected

try to read maxlen data using m_data

Referenced by read().

## ◆ readUsingStorage()

unsigned long libwps_OLE::IStream::readUsingStorage | ( | unsigned long | pos,
|  | unsigned char * | data,
|  | unsigned long | maxlen
| ) |  |
| protected

try to read maxlen data using m_iStorage

Referenced by read().

## ◆ size()

unsigned long libwps_OLE::IStream::size | ( |  | ) | const
| inline

Referenced by createOleFromDirectory().

## ◆ tell()

unsigned long libwps_OLE::IStream::tell | ( |  | ) | const
| inline

Referenced by read().

## Member Data Documentation

## ◆ m_blocks

std::vector<unsigned long> libwps_OLE::IStream::m_blocks
| private

Referenced by IStream().

## ◆ m_data

std::vector<unsigned char> libwps_OLE::IStream::m_data
| private

Referenced by read().

## ◆ m_iStorage

IStorage* libwps_OLE::IStream::m_iStorage

Referenced by IStream().

## ◆ m_name

std::string libwps_OLE::IStream::m_name

## ◆ m_pos

unsigned long libwps_OLE::IStream::m_pos
| private

Referenced by read(), and tell().

## ◆ m_size

unsigned long libwps_OLE::IStream::m_size

the stream size

Referenced by IStream(), read(), and size().

The documentation for this class was generated from the following file:

- WPSOLEStream.cpp